Copyright: Copyright ©¸ 1995 Eicon Technology Corp.
Citation: Copyright ©¸ 1995 Eicon Technology Corporation, Inc. All rights reserved.


IP Routing Services Configuration

Eicon Router Driver Parameters

Logical Adapter Configuration


IP Routing Services Configuration

Eicon Router Driver Parameters

This panel allows you to set the parameters that control the Eicon NDIS Interface for the EiconCard. The settings you make here apply to all ports on all EiconCards.

Global Parameters

Max Ports

The maximum number of EiconCard ports simultaneously supported by the Router. This parameter depends on the number and type of EiconCards installed in the Router PC.
Default: 2.

Max WAN Circuits

The maximum number of circuits (IP mappings) simultaneously supported by the Router. Increasing this value uses more memory on the PC. The Eicon Technology utility MPRCCT is used to create or delete circuits and IPMAP is used to create or delete IP mappings.
Default: 16.

Max IP Filters

The maximum number of IP filters simultaneously supported by the Router. Increasing this value uses more memory on the PC. The Eicon Technology utility MPRFLT is used to create or delete IP filters.
Default: 16.

Transmit Buffers per Port

The number of NCB transmit buffers allocated for each EiconCard port. More buffers allow a greater number of connections, and help prevent dropped packets, but each added buffer uses memory on the PC.
Default: 7.

The maximum number of NCB receive buffers allocated for each EiconCard port is two (2). This value is not configurable.

Max Queued Transmits

The maximum number of general requests that can be concurrently outstanding. Increasing this value uses more memory on the PC. Once the defined limit has been reached, no additional requests are accepted until the oldest general requests are transmitted.
Default: 7.

Global Pool Tx Buffers

The number of transmit buffers allocated in the Router's global pool for all ports.  This pool is used for packet transmission whenever the EiconCard port pool is empty. More buffers allow a greater number of connections, and help prevent dropped packets, but each added buffer uses memory on the PC.
Default: 0.

Lower (NCB) Trace

Trace Status

Specifies whether the Router's NCB interface trace is on or off. The trace uses 5 to 56 kilobytes of memory on the PC. Use the Eicon Technology MPRTRC trace utility to view the NCB trace buffer.
Default: ON.

Buffers

The size, in kilobytes, of the NCB trace buffer. This memory is allocated when the Router is first loaded into memory. Use the Eicon Technology MPRTRC trace utility to view the contents of the NCB trace buffer.
Default: 15.

Data Size

The size, in bytes, of the data that is saved for each event recorded in the NCB trace buffer. A setting of 64 saves the first 64 bytes of each packet to the trace buffer. If you want to see the first 256 bytes of each packet, then set this parameter to 256.
Default: 128.

Upper (NDIS) Trace

Trace Status

Specifies whether the Router's NDIS interface trace is on or off. The trace uses 5 to 56 kilobytes of memory on the PC. Use the Eicon Technology MPRTRC trace utility to view the NDIS trace buffer.
Default: OFF.

Buffers

The size, in kilobytes, of the NDIS trace buffer. This memory is allocated when the Router is first loaded into memory. Use the Eicon Technology MPRTRC trace utility to view the contents of the NDIS trace buffer.
Default: 15.

Data Size

The size, in bytes, of the data that is saved for each event recorded in the NDIS trace buffer. A setting of 64 saves the first 64 bytes of each packet to the trace buffer. If you want to see the first 256 bytes of each packet, then set this parameter to 256.
Default: 128.


IP Routing Services Configuration

Logical Adapter Configuration

This panel sets which EiconCard port the Logical Adapter will use.

EiconCard Port #

This specifies the EiconCard port this Logical Adapter will use to make its connections. Each Logical Adapter must use a different EiconCard port.

EiconCard port numbers are assigned through the WAN Services Configuration program

This number must also match the port number used when configuring the router connections using the WAN Services Configuration program.

MTU

This specifies the Maximum Transmission Unit (MTU) which is the maximum number of bytes per packet of data that will be transmitted from this port. The largest IP packet that can be transmitted is the MTU value. The MTU includes the IP header.

The local MTU value must match the MTU value on the remote router.
Default: 1500.